Imports System.Threading

Module ThreadSleep

    Sub DisplayA()
        Thread.Sleep(300)
        For I As Integer= 0 To 100
            Console.Write("A")
        Next
    End Sub

    Sub DisplayB()

        Thread.Sleep(800)

        For I As Integer= 0 To 100
            Console.Write("B")
        Next
    End Sub

    Sub DisplayC()
        Thread.Sleep(100)

        For I As Integer= 0 To 100
            Console.Write("C")
        Next
    End Sub

    Sub Main()
        Dim A As Thread
        Dim B As Thread
        Dim C As Thread

        A = New Thread(AddressOf DisplayA)
        B = New Thread(AddressOf DisplayB)
        C = New Thread(AddressOf DisplayC)

        A.Start()
        B.Start()
        C.Start()

        Console.ReadLine()  

    End Sub

End Module
